This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309364 - Use-after-free in case resolving hosts or networks fail
Use-after-free in case resolving hosts or networks fail
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss-pam-ldapd (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Stefan Kremen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 10:47 EST by Jakub Hrozek
Modified: 2016-05-10 15:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: nss-pam-ldapd-0.7.5-32.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 15:46:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2016-02-17 10:47:56 EST
Description of problem:
This issue was found by Coverity:
1. Defect type: USE_AFTER_FREE ΒΆ
41. nss-pam-ldapd-0.7.5/nss/networks.c:122: pass_closed_arg: Passing closed handle "fp->fd" as an argument to "tio_skipall".
Expand
2. Defect type: USE_AFTER_FREE
38. nss-pam-ldapd-0.7.5/nss/networks.c:105: pass_closed_arg: Passing closed handle "fp->fd" as an argument to "tio_skipall".
Expand
3. Defect type: USE_AFTER_FREE
40. nss-pam-ldapd-0.7.5/nss/hosts.c:208: pass_closed_arg: Passing closed handle "fp->fd" as an argument to "tio_skipall".
Expand
4. Defect type: USE_AFTER_FREE
39. nss-pam-ldapd-0.7.5/nss/hosts.c:176: pass_closed_arg: Passing closed handle "fp->fd" as an argument to "tio_skipall". 

Version-Release number of selected component (if applicable):


How reproducible:
not sure. We should make sure getent hosts and getent networks still works.
Comment 1 Arthur de Jong 2016-02-17 16:40:35 EST
Not 100% sure if this is the same issue but it is likely this:
  http://lists.arthurdejong.org/nss-pam-ldapd-users/2014/msg00042.html
and fixed by:
  http://arthurdejong.org/git/nss-pam-ldapd/commit/?id=1a59c4e3945dedafc8e63dc2688ddf035f0af656

The commit is on top of 0.7.19 but was never part of a 0.7 release. The fix was released in 0.8.14 and 0.9.3.
Comment 2 Jakub Hrozek 2016-02-18 02:46:56 EST
(In reply to Arthur de Jong from comment #1)
> Not 100% sure if this is the same issue but it is likely this:

Not completely, this one was caused by my sloppy backporting of a tio.c patch :-)

>   http://lists.arthurdejong.org/nss-pam-ldapd-users/2014/msg00042.html
> and fixed by:
>  
> http://arthurdejong.org/git/nss-pam-ldapd/commit/
> ?id=1a59c4e3945dedafc8e63dc2688ddf035f0af656
> 
> The commit is on top of 0.7.19 but was never part of a 0.7 release. The fix
> was released in 0.8.14 and 0.9.3.

Yes, this is exactly what I was about to commit. Thanks for chiming in!
Comment 6 errata-xmlrpc 2016-05-10 15:46:03 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0758.html

Note You need to log in before you can comment on or make changes to this bug.